# m3e/breadcrumb

Breadcrumb is displays a hierarchical navigation path and identifies the user’s //// current location within an application.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Breadcrumb

opaque </>

Breadcrumb is a View Model for this component

## Fields:

- wrap: Whether items wrap to a new line.

    pub opaque type Breadcrumb

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Separator
    }

### Constructors

-     Separator

## Wrap

</>

Wrap is whether items wrap to a new line.

    pub type Wrap {
      IsWrap
      IsNotWrap
    }

### Constructors

-     IsWrap

-     IsNotWrap

# Values

## default_wrap

</>

    pub const default_wrap: Wrap

## new

</>

    pub fn new(wrap: Wrap) -> Breadcrumb

new creates a new Breadcrumb with the default configuration.

## render

</>

    pub fn render(
      model: Breadcrumb,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Breadcrumb

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

## wrap

</>

    pub fn wrap(arg: Breadcrumb, wrap: Wrap) -> Breadcrumb

wrap sets the value of wrap for this Breadcrumb.

✨